curl --request GET \
--url https://api.fintoc.com/v2/account_verifications/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.fintoc.com/v2/account_verifications/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.fintoc.com/v2/account_verifications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "accv_2daFu0zqqDtZGJaSi2TGI2Mm1nN",
"object": "account_verification",
"counterparty": {
"account_number": "132969000000000190",
"account_type": "clabe",
"holder_id": "000000000",
"holder_name": "Test Customer 1",
"institution": {
"id": "40012",
"name": "BBVA Mexico",
"country": "mx"
}
},
"mode": "test",
"reason": null,
"receipt_url": null,
"status": "succeeded",
"transaction_date": "2026-03-01T12:00:00.000Z",
"transfer_id": "tr_2daFu0zqqDtZGJaSi2TGI2Mm1nN"
}{
"error": {
"type": "authentication_error",
"code": "invalid_api_key",
"message": "Invalid API Key: invalid-*oken"
}
}{
"error": {
"code": "invalid_account_verification",
"message": "Unable to get account verification: 'accv_2daFu0zqqDtZGJaSi2TGI2Mm1nN'. Action not available in your region"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "Account verification not found: accv_2daFu0zqqDtZGJaSi2TGI2Mm1nN"
}
}Get an account verification
Retrieves the details of an account verification by its ID.
Authorizations
Path Parameters
Unique identifier of the account verification to retrieve.
Response
The requested account verification.
Unique identifier of the account verification.
"accv_2daFu0zqqDtZGJaSi2TGI2Mm1nN"
Type of the object. Always account_verification.
Details of the verified counterparty account.
Show child attributes
Show child attributes
Whether the verification is live or test data.
live, test "test"
Reason code explaining why the verification failed, or null when the verification succeeded. transfer_fail means Fintoc could not send the verification transfer. cep_unavailable means the Mexican central bank (Banxico) had not yet published the payment receipt (CEP) when the verification timed out, so Fintoc could not confirm the account; you can retry the verification later. unknown means the reason could not be determined. The remaining codes mirror the transfer return_reason and report why the counterparty institution returned the verification transfer: non_existing_account, blocked_account, canceled_account, wrong_currency, account_not_from_receiving_institution, missing_information, wrong_payment_type, wrong_operation_type, account_type_does_not_correspond, invalid_character, exceeds_account_limit, exceeds_account_monthly_payments_limit, non_registered_mobile_phone, does_not_accept_non_banxico_payments, invalid_additional_information, missing_payment_instruction_due_to_balance_limit_reached, sender_client_protection_agreement, optional_payment_not_accepted_by_recipient_institution, codi_payment_without_quick_credit_notification, duplicated_tracking_key, and expired_sender_institution_certificate.
transfer_fail, cep_unavailable, non_existing_account, blocked_account, canceled_account, wrong_currency, account_not_from_receiving_institution, missing_information, wrong_payment_type, wrong_operation_type, account_type_does_not_correspond, invalid_character, exceeds_account_limit, exceeds_account_monthly_payments_limit, non_registered_mobile_phone, does_not_accept_non_banxico_payments, invalid_additional_information, missing_payment_instruction_due_to_balance_limit_reached, sender_client_protection_agreement, optional_payment_not_accepted_by_recipient_institution, codi_payment_without_quick_credit_notification, duplicated_tracking_key, expired_sender_institution_certificate, unknown, null null
URL of the verification receipt, or null.
null
Status of the verification. One of pending (in progress), succeeded (ownership confirmed), or failed (could not be completed).
pending, succeeded, failed "pending"
Date and time when the verification was performed, as an ISO 8601 datetime in UTC, or null.
null
Identifier of the transfer issued to verify the account, or null.
"tr_2daFu0zqqDtZGJaSi2TGI2Mm1nN"
Was this page helpful?